com.ibm.openpages.api.workflow

## Enum WFDateAlterOperation

- java.lang.Object
- - java.lang.Enum<WFDateAlterOperation>
  - - com.ibm.openpages.api.workflow.WFDateAlterOperation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFDateAlterOperation>

      public enum WFDateAlterOperation
      extends java.lang.Enum<WFDateAlterOperation>

  Enumeration that represents operations to alter dates. Refer `IWFDateEval` for more detail.
  Since:
    8.0.0.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `firstDayOfMonth` Operation to alter the date value to the first day of the month.
    `firstDayOfQuarter` Operation to alter the date value to the first day of the quarter.
    `firstDayOfYear` Operation to alter the date value to the first day of the year.
    `lastDayOfMonth` Operation to alter the date value to the last day of the month.
    `lastDayOfQuarter` Operation to alter the date value to the last day of the quarter.
    `lastDayOfYear` Operation to alter the date value to the last day of the year.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WFDateAlterOperation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFDateAlterOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### firstDayOfMonth

          public static final WFDateAlterOperation firstDayOfMonth

      Operation to alter the date value to the first day of the month.

    - #### lastDayOfMonth

          public static final WFDateAlterOperation lastDayOfMonth

      Operation to alter the date value to the last day of the month.

    - #### firstDayOfQuarter

          public static final WFDateAlterOperation firstDayOfQuarter

      Operation to alter the date value to the first day of the quarter. Either Jan. 1st, Apr. 1st, Jul. 1st, or Oct. 1st of the year.

    - #### lastDayOfQuarter

          public static final WFDateAlterOperation lastDayOfQuarter

      Operation to alter the date value to the last day of the quarter. Either Mar. 31th, Jun. 30th, Sep. 30th, Dec. 31th of the year.

    - #### firstDayOfYear

          public static final WFDateAlterOperation firstDayOfYear

      Operation to alter the date value to the first day of the year.

    - #### lastDayOfYear

          public static final WFDateAlterOperation lastDayOfYear

      Operation to alter the date value to the last day of the year.

  - ### Method Detail

    - #### values

          public static WFDateAlterOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFDateAlterOperation c : WFDateAlterOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFDateAlterOperation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.